+ Reply to Thread
Page 3 of 3 FirstFirst 1 2 3
Results 21 to 23 of 23
  1. #21
    Quantum Mechanic BIGAL's Avatar
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    10,709

    Default

    Registered forum members do not see this ad.

    What I am saying is run full code and if it errors then post all the commands so we can see error message.


    Any else one out there tried it ? Its a smart dynamic block, we may have a use for something similar.
    A man who never made mistakes never made anything

  2. #22
    Junior Member
    Computer Details
    deejaydave's Computer Details
    Operating System:
    Windows 7
    Discipline
    Multi-disciplinary
    deejaydave's Discipline Details
    Occupation
    Autocad Technician
    Discipline
    Multi-disciplinary
    Details
    Earth and water resources (quarry design, water management etc)
    Using
    AutoCAD 2015
    Join Date
    Jul 2016
    Location
    Oxfordshire, England
    Posts
    13

    Default

    I have attached a txt file with the whole list, from loading the lisp file onwards, I don't get any "error" messages.


    Hope this is helpful.


    Regards
    deejaydave
    Attached Files

  3. #23
    Junior Member
    Computer Details
    deejaydave's Computer Details
    Operating System:
    Windows 7
    Discipline
    Multi-disciplinary
    deejaydave's Discipline Details
    Occupation
    Autocad Technician
    Discipline
    Multi-disciplinary
    Details
    Earth and water resources (quarry design, water management etc)
    Using
    AutoCAD 2015
    Join Date
    Jul 2016
    Location
    Oxfordshire, England
    Posts
    13

    Default

    Registered forum members do not see this ad.

    I have managed to get it to work. I edited the 1st lot of code you sent, I deleted the following lines:

    (setq fname (open "P:\\Autodesk\\lisp\\civilcad6layercodes.txt" "r"))
    and
    (foreach att (vlax-invoke obj 'getattributes)
    (if (= "ANGLE" (strcase (vla-get-tagstring att)))
    (vla-put-textstring att ang)
    )
    )


    I then saved the file as a new name, ran it and it worked.


    The original angle was the “Dip Direction”, which affects the rotation of the block, I have now been asked to add the “Dip Angle”, which has no effect on the block, it just adds a text box with the angle, my question is this “Would I be able to add this new element to the code, based on what is already there?”.








    I would like to than you for all the help you have given me, I think I need to learn a little more about lisp.


Similar Threads

  1. Dynamic blocks and text rotation....
    By pingsb in forum AutoCAD Drawing Management & Output
    Replies: 9
    Last Post: 25th Sep 2017, 01:47 pm
  2. dynamic text with dynamic blocks
    By jpd in forum AutoCAD Drawing Management & Output
    Replies: 20
    Last Post: 6th Aug 2013, 06:06 pm
  3. Insert dynamic block from file with multiple dynamic blocks
    By BUrBaKy in forum AutoCAD Drawing Management & Output
    Replies: 17
    Last Post: 14th Nov 2012, 11:38 pm
  4. Dynamic Blocks and Text
    By Jabaker in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 3
    Last Post: 19th Aug 2010, 10:32 am
  5. Dynamic blocks and file size
    By Grendel in forum AutoCAD Drawing Management & Output
    Replies: 0
    Last Post: 8th Apr 2009, 06:37 pm

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts